package com.gic.haoban.manage.web.vo.chat;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-10-09 13:39:59
 */
public class GroupChatDataOverviewVO implements Serializable {

    private static final long serialVersionUID = 8755443030113022176L;

    /**
     * 活动id
     */
    private String chatActivityId;

    /**
     * 分享人数
     */
    private String shareNum;

    /**
     * 参与人数
     */
    private String inviterNum;

    /**
     * 邀请进群人数
     */
    private String inviteeNum;

    /**
     * 有效邀请人数
     */
    private String effectiveInviteeNum;

    /**
     * 入群客户数
     */
    private String inviteeMemberNum;

    /**
     * 入群游客数
     */
    private String inviteeNonMemberNum;

    /**
     * 新增会员数
     */
    private String newMemberNum;

    /**
     * 发放积分数
     */
    private String integralCnt;

    /**
     * 发放成长值数
     */
    private String growCnt;

    /**
     * 发放卡券数
     */
    private String cardCnt;

    public String getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(String chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getShareNum() {
        return shareNum;
    }

    public void setShareNum(String shareNum) {
        this.shareNum = shareNum;
    }

    public String getInviterNum() {
        return inviterNum;
    }

    public void setInviterNum(String inviterNum) {
        this.inviterNum = inviterNum;
    }

    public String getInviteeNum() {
        return inviteeNum;
    }

    public void setInviteeNum(String inviteeNum) {
        this.inviteeNum = inviteeNum;
    }

    public String getEffectiveInviteeNum() {
        return effectiveInviteeNum;
    }

    public void setEffectiveInviteeNum(String effectiveInviteeNum) {
        this.effectiveInviteeNum = effectiveInviteeNum;
    }

    public String getInviteeMemberNum() {
        return inviteeMemberNum;
    }

    public void setInviteeMemberNum(String inviteeMemberNum) {
        this.inviteeMemberNum = inviteeMemberNum;
    }

    public String getInviteeNonMemberNum() {
        return inviteeNonMemberNum;
    }

    public void setInviteeNonMemberNum(String inviteeNonMemberNum) {
        this.inviteeNonMemberNum = inviteeNonMemberNum;
    }

    public String getNewMemberNum() {
        return newMemberNum;
    }

    public void setNewMemberNum(String newMemberNum) {
        this.newMemberNum = newMemberNum;
    }

    public String getIntegralCnt() {
        return integralCnt;
    }

    public void setIntegralCnt(String integralCnt) {
        this.integralCnt = integralCnt;
    }

    public String getGrowCnt() {
        return growCnt;
    }

    public void setGrowCnt(String growCnt) {
        this.growCnt = growCnt;
    }

    public String getCardCnt() {
        return cardCnt;
    }

    public void setCardCnt(String cardCnt) {
        this.cardCnt = cardCnt;
    }
}
